#!/usr/bin/python

import logging
import os
import sys
import unittest

sys.path.insert(0, os.path.join(os.path.dirname(__file__), ".."))
import unattended_upgrade


class HooksTestCase(unittest.TestCase):

    def test_run_hooks(self):
        res = unattended_upgrade.run_hooks(
            "pre", base_hook_dir="./aptroot/etc/unattended-upgrades/hooks/")
        self.assertEqual(res, {'good': 'exit-status: 0'})


if __name__ == "__main__":
    logging.basicConfig(level=logging.DEBUG)
    unittest.main()
